SourceBans Change Log
=====================

Legend:
* = New feature
- = Removed stuff
+ = Improved feature
! = Fixed bug
? = Other stuff

(21/09/12): Version 1.4.10
-----------------------
01. * Added support for global overrides
02. * Added support for group overrides
03. * Added option to add admins without a password and email set, if they don't have any web permissions
04. * Added mod support for CS:GO
05. * Added basic link parsing in comments. Pasted links are now clickable
06. + Fixed trying to unban badly formated steamids for games not using STEAM_0: but STEAM_1: or similar. Steam Universe is specified per mod.
07. + Added filesize of demo on download to enable browsers estimate the download time
08. + Trimmed whitespace from submission form input
09. + Added option to add disabled mods
10. + Servers are now sorted by serverid in the server list
11. + (Plugin) Enhanced sm_ban to use everything after the 2nd argument (time) as the reason. No "quotes" required.
12. ! (Plugin) Fixed creating another admin user if there already is one
13. ! Fixed a XSS vulnerability in the breadcrumbs. (Thanks NightlyDev)
14. ! Fixed LFI exploit for root admins
15. ! Fixed not rehashing all servers on some installs
16. ! Fixed case-sensitive search for "rcon_password" in rcon console
17. ! Fixed not showing expired bans as expired if the timezone of mysql and php differs. (That should NEVER be the case!)
18. ! Fixed visual glitch on the theme selection page showing an empty theme
19. ! Fixed community group banning failing for groups with more than 50 members
20. ! Fixed sql error when editing server rcon, if password contains a '?'
21. ! Fixed not showing players with quotes in their name on the server player list
22. ! Fixed not being able to kick/ban some players from the web directly. (not on the server anymore, while they actually are)
23. ! Fixed not checking for duplicated mods on mod edit/add
24. ! Fixed trying to use an invalid socket in CServerInfo causing ugly ajax errors instead of a clean "Error connecting"
25. ! Fixed showing 1.1.1970 as last login time, if user never logged in before
26. ? Removed unnecassary query in admingroup editform
27. ? Added link to FAQ to "Error connecting" message for admins
28. ? Updated IpToCountry.csv

(18/11/11): Version 1.4.9
-----------------------
01. * Added mod support for Alien Swarm, CSPromod, E.Y.E and Nuclear Dawn
02. + Added admin name to dublicate admindetails error message
03. + Permission to permaban now follows sm_unban permission, even when sm_unban is overridden. (Thanks psychonic)
04. ! Fixed problem with lost password page (Thanks to Qabandi)
05. ! Fixed SQL injection exploit (Thanks to endreu)
06. ! Fixed status regex to handle the new formatted "status" command output.
07. ! Fixed some log spaming bugs in the plugin (SQL_FetchRow)
08. ! Fixed playername ending in a backslash causing javascript error on unban/delete
09. ! Fixed searching for a name containing a questionmark in the quick search causes sql error
10. ! Fixed not checking for dublicates when changing the server ip/port
11. ! Fixed the accordion widget to fail on init on various pages randomly. (Thanks Nephyrin)
12. ! Fixed total bans count isn't right
13. ? Updated IpToCountry.csv

(11/03/11): Version 1.4.8
-----------------------
01. * Added option to hide player IP's from public on banlist
02. * Added search for comments
03. * Added little icon on banlist indicating that there are comments on that ban
04. * Added option to ban by community id (converted to steamid)
05. * Added edit form validation
06. + Seperated server admin password from web password in admin adding form
07. + CServerInfo & CServerRcon classes updated to support BIND_IP for web servers with strict firewall/IP policies
08. + Added error logging to local ban queue
09. + Added links to FAQ to common error messages in plugin
10. + Changed emailing form to only send to emails that belong to submissions or protests
11. ! Fixed XSS exploit (Thanks to Sw1tCh)
12. ! Fixed showing php notices
13. ! Fixed admins losing permissions if gameserver can't connect to the database
14. ! Fixed RCON console in IE (Thanks Synergy)
15. ! Debug output now only allowed if DEVELOPER_MODE is enabled 
16. ! Fixed trying to reach servers with buggy empty ip/port field
17. ! Fixed not downloading demos with space in filename
18. ! Fixed webinterface not hiding RCON properly and only allow sending rcon commands to servers the admin has access to
19. ! Fixed System log does not take summertime into account
20. ! Fixed the contact url in kickit messages getting cut off
21. ! Fixed setting "Error getting name" instead of "Imported Ban" when importing bans from banned_user.cfg and being unable to fetch the player name
22. ? Added hint to servers page mentioning the player context menu
23. ? Updated IpToCountry.csv for country lookup
24. ? Changed footer and logo to GameConnect.net

(22/08/10): Version 1.4.7
-----------------------
01. * Added SourceMod plugin library registration
02. - Removed debug popup
03. ! Fixed disabled servers still being listed in some dropdown boxes
04. ! Fixed total bans count sometimes being invalid
05. ! Fixed Lost Password page
06. ! Fixed multiple includes of CServerRcon
07. ! Fixed A2S_PLAYER indices for OrangeBox games in CServerQuery
08. ! Fixed SourceMod plugin memory leak
09. ? Updated IpToCountry.csv for country lookup

(23/12/09): Version 1.4.6
-----------------------
01. * Added Left 4 Dead 2 support
02. * Added server to submission e-mail
03. + Updated Russian plugin translation
04. ! Fixed ereg() being deprecated

(17/09/09): Version 1.4.5
-----------------------
01. + Improved Dashboard loading time. Loading blocked servername through ajax
02. + Now moving submissions for newly banned players to archive
03. + Improved Archivedby usage
04. + Enabled logging for comments
05. ! Fixed security vulnerabilities for code execution. Thanks Twelve-60!
06. ! Fixed XSS vulnerability. Thanks Dr. Hydralisk!
07. ! Fixed Deleting a ban does not delete demo on unix
08. ! Fixed unbanning check query (plugin)
09. ! Fixed sm_ban doesn't popup the reason menu (plugin)
10. ! Fixed server adding doesn't accept domain
11. ! Fixed times being 2 hours behind
12. ! Fixed showing html code if unbanning admin has been deleted on banlist
13. ! Fixed some PHP Notices
14. ? Added more map images

(29/07/09): Version 1.4.4
-----------------------
01. * Added 'Archived by' field to submission and protest archive
02. * Added immunity check for webbans
03. * Now underline the active subnavi link
04. + Added status indication to ViewCommunityProfile
05. + Added playername to exported ban files
06. + Changed every javascript 'top.location' to 'window.location' for frame support
07. ! Fixed bans added while database was unavailable aren't added afterwards
08. ! Fixed root permission checkbox doesn't uncheck all webpermissions
09. ! Fixed old server permissions aren't removed, if server has been deleted
10. ! Fixed permission problem with adding new admins having no webgroup, but a serveradmingroup
11. ! Fixed some security problems, added more logging
12. ! Fixed name field being blank if admin has been deleted
13. ! Fixed submission/protest archive pagination
14. ! Fixed rcon panel doesn't show a message if server unavailable
15. ! Fixed comments not showing line breaks
16. ! Fixed temporary bans aren't removed for TF2 bans if unbanned from webpanel
17. - Removed unnecessary files
18. ? Updated IpToCountry.csv for country lookup

(25/06/09): Version 1.4.3
-----------------------
01. + Paginated Submission/Protest (archive)
02. + Added password check on email change
03. + Improved siteloading speed for adminlist, banlist and banadministration
04. + Now supporting as many reasons one likes - paginated those menus
05. + Hiding "bans by admin" search when hiding admin names is enabled on banlist
06. + Added compileflag to show debugmessages
07. + Updated Polish Translations submitted by `Zuko
08. ! Fixed L4D kicking/banning from servers page
09. ! Fixed bans don't get written to the database, if admin isn't in the database
10. ! Fixed "SetPackPosition" error
11. ! Fixed "Banned by" admin name always showing own name in protest email
12. ! Fixed too short server hostnames on serverlist
13. ! Fixed unbanned bans showing up as "Expired"
14. ! Fixed adding <br /> tags to ban/unban reasons
15. ! Fixed 'rcon' column in 'sb_servers' doesn't have default value
16. ! Fixed admins with " ' " in name cause error
17. ! Fixed long words break the submission page
18. ! Fixed not showing old message when editing comment in textarea
19. ! Fixed some random autoquoting problems with IIS in the installer
20. ! Fixed playernames with quotation marks in it show a backslash on the dashboard if banned ingame

(30/03/09): Version 1.4.2
-----------------------
01. * Added Russian translations (credits to Dirton)
02. * Added option to disable specific servers from being listed
03. * Added option to disable admin refreshing
04. + Protest notification e-mail is now only sent to the admin that banned that person
05. + Moved Community ID calculating to SQL, no longer requiring the BCMath extension
06. + Restricted admin e-mail search to admins with Edit Admin access
07. ! Fixed Left 4 Dead player listing not showing up (credits to IceMatrix)
08. ! Fixed game plugins having multiple connections to database
09. ! Fixed Back button on Edit Admin Groups page not working
10. ! Fixed admin e-mail search always returning all admins
11. ! Fixed not being able to remove mods with a ' in their name
12. ! Fixed empty IP field being allowed on an IP ban when Steam ID is present
13. ! Fixed regular expression for Steam ID checking not working on STEAM_1 IDs
14. ! Fixed ASCII characters below 32 in Steam Community name crashing Group Banning
15. ! Fixed VAC icons always showing up in server list
16. ! Fixed Add Ban form having wrong reason selected when it's imported from submission and it's a custom reason
17. ! Fixed ban length always being permanent when editing ban
18. - Removed hardcoded database prefixes

(05/02/09): Version 1.4.1
-----------------------
01. * Added Group/Friends bans logging to the System Log
02. * Added additional reason for group banning
03. * Added Membercount at players group listing
04. * Added Admin email search
05. + Recording/Managing IP AND Steam ID in web panel
06. ! Fixed RegEx for SteamID checking isn't delimited!!!
07. ! Fixed Reserved flag not written to the cache
08. ! Fixed Reban causes JS script to hang up
09. ! Fixed some server playerlist beauty issues
10. ! Fixed rcon isn't resetted correctly on failure
11. ! Fixed tab isn't activated in theme on default page
12. ! Fixed confirmation window doesn't pop up, if multiple group banning banned all groups
13. ! Fixed some ADOdb double connection handling problems with the amxbansconverter
14. ! Fixed basebans.smx not being moved to disabled folder if already in there
15. ! Fixed adminid matching error with left4dead
16. ! Fixed SteamIDs with other text in form is recognised as valid
17. ! Fixed server console banning
18. ! Fixed sometimes admins need to rejoin to gain admin access back after mapchange
19. ! Fixed Login problems after changing own password in admin details
20. ! Fixed helpicon not showing up on group edit form

(30/12/08): Version 1.4.0
-----------------------
01. * Added Steam Community Group banning. Ban whole groups through SourceBans! Needs BCMath extension and PHP Safe Mode off! Enable it on settings features page! Show player's groups with link on banlist;)
02. * Added ability to ban a players whole steam community friends
03. * Added removing temporary 5 minutes ban from server when unbanning or deleting a ban from webpanel
04. * Added Custom ban reasons in dropdown menu on webpage
05. * Added Custom ban reasons from chat input. (Replaced "Team Stacking" with "Own Reason" in the reason menu [plugin])
06. * Added Context menus for players on servers page
07. * Added Left4Dead SteamID format support
08. * Added WebUI Map Screenshots uploading. You need to chmod /images/maps to 766!
09. * Added Get players name from profile page while importing banned_user.cfg
10. * Added showing members of web and server admin groups with edit & remove links
11. * Added the option to disable the country lookup for IPs on the banlist. This solves the rare "blank banlist" error. Thanks to Roel from rawkillers.com!
12. * Added SB_MEM config option to set the php memory_limit to help solving the above "blank banlist" error.
13. * Added Masquerade mailaddress when replying to protest or submission. now sent under address "noreply@..." instead of admin email.
14. * Added Support for domains instead of IPs for servers. You HAVE to set the ServerID correctly in sourcebans.cfg.
15. * Added Zombie Panic Mod
16. * Added Garry's Mod
17. * Added Left4Dead
18. * Added Office Extended and Zombie Panic map images
19. * Added german translation phrases to the plugin
20. * Added RequireSiteLogin to plugin
21. + Improved Admin rehashing on all related servers after any admin or group has been changed with Statuswindow
22. + Added demo link to submission email
23. + Allow mod icons to be .png
24. + Allow demos to be in *.dem format
25. + If player was found with KickIt, server is shown in ban details
26. + Updated Installer (Next page on "enter", usual message box)
27. + Replaced SQL_ConnectEx with SQL_ConnectCustom in game plugin
28. + Improved SQL protection
29. ! Fixed Admins can change their own/others groups
30. ! Fixed Admins with permission "List Mods" can edit mods
31. ! Fixed mod icons aren't deleted from icon folder
32. ! Fixed old demos aren't deleted from folder when editing a ban
33. ! Fixed serverlist in submitform not showing whole servernames in IE
34. ! Fixed length in edit ban form is everytime 'Permanent'
35. ! Fixed wrong playername escaping on blocked player list on dashboard
36. ! Fixed Admins with "List Servers" can access Server RCON page, but can't send rcon commands
37. ! Fixed BulkEdit options are just shown if the admin is allowed to use them
38. ! Fixed unified comment-add-link on submission and protest pages
39. ! Fixed after admin adding no "Admin added" dialog is shown
40. ! Fixed newly added mod's icon not entered into database
41. ! Fixed possible adminid messup with amxbans converter
42. ! Fixed Security check on password change
43. ! Fixed bans made on a Left 4 Dead server not being recognized on other mods, and vice versa.
44. ! Fixed GetClientAuthString game plugin errors
45. ! Fixed Server names with ' in them cause JS errors
46. ! Fixed Admins can make themselves root with 'Edit Admins' permissions.
47. - Removed unused files
48. ? Enabled Kickit by default

(24/09/08): Version 1.3.5
-----------------------
01. * Added single server refreshing on server page
02. * Added unbanned by field for unbanned bans on the banlist
03. * Added protester IP shown in protest
04. * Added protest for IP bans
05. * Added server list on submit ban page
06. * Added admin names hidden for non-admins in ban list
07. * Added option "Other server / Not listed here" for Submission forms server list
08. * Added list of blocks that belong to a ban in ban details
09. * Added time limited ban for admins
10. * Added new TF2 map images
11. * Added permanent ip bans export
12. * Added archive ban submissions and protests
13. * Added reban button
14. * Added unban reason
15. * Added sm_rehash on admin modifications
16. * Added ability to submit IPs for banning
17. * Added field for submitter's name in submission form
18. * Added fail-safe request for ban unban and delete buttons
19. * Added Server Identification to "Latest Players Blocked"
20. * Added search for ban type (Steam ID or IP)
21. * Added admin online status on server admin page
22. * Added ban and kick buttons on servers page
23. * Added type check to login
24. * Added ability to import banned_ip.cfg
25. * Added themes_c folder clearing to updater
26. * Added InterWave logo as default main page
27. * Made the <title> info variable, set it in the settings page
28. * Installer's debug mode can now be switched on with &debug=1
29. ! Fixed a rare server proxy error showing error
30. ! Fixed problems with htmlspecialchars
31. ! Fixed server admin online status bug
32. ! Fixed typo on group adding form help
33. ! Fixed permissions checking corrected for root and owner of ban
34. ! Fixed a IE beauty mess up with KickIt iframe
35. ! Fixed error displaying on group adding form and so hopefully #328 too
36. ! Fixed PHP notice errors in debug mode
37. ! Fixed the admin server search again. every admin is only shown once now.
38. ! Fixed some xajax errors in admin add form
39. ! Fixed web panel settings for PHP < 5.2
40. ! Fixed single server access don't get saved at admin add form
41. ! Fixed admin server search
42. ! Fixed server click dashboard cosmetic problem
43. ! Fixed some ajax errors with dashboard
44. ! Fixed some error-showing-errors with PasteBan() function
45. ! Fixed problems with mysql magic quotes and IIS
46. ! Fixed history count for ip and steamid bans
47. ! Fixed some search paginating problems
48. ! Fixed imported bans not doing proper ban checks
49. ! Fixed export and import bugs
50. ! Fixed dashboard being unavailable if other default page is chosen
51. ! Fixed the edit ban form to fit the new ip/steamid ban mask
52. ! Fixed prevoff_link for searching for ip bans
53. ! Fixed some stylesheet errors
54. ! Fixed ban reasons from dropdown list are just short versions
55. ! Fixed popups don't close on click on 'OK'...
56. ! Fixed long servernames get cut in two lines at admin server list.
57. ! Fixed KickIt displaying servers twice
58. ! Fixed typo in server delete confirmation
59. ! Fixed Viper's quote not showing the username
60. ! Fixed check for previous ip bans on ban adding
61. ! Fixed problems with installer layout and disabled error logging
62. ! Fixed being unable to select information in ban log dialog
63. ! Fixed AJAX/Script setting reasons
64. ! Fixed date missing from ban submission details
65. ! Fixed erroneous template entries for reason.msg
66. ! Fixed AddBan with KickIt enabled errors while in developer or debug mode
67. - Removed old code from admin.bans.php for importing bans
68. - Removed irritating log output in debug mode
69. + Increased length of ban insert query or reason string
70. + Updated IpToCountry.csv
71. ? Changed installer footer to interwavestudios.com ;)

(24/08/08): Version 1.3.0
-----------------------
01. * Added log level for game plugin, and ability to disable logs.
02. * Added Exact match and Partial Match for advanced searching.
03. * Added ban importer
04. * Added KickIt feature (Will scan all servers for player if banned from web-panel)
05. * Added public export bans option
06. * Added ban reason dropdown to match in-game reasons
07. * Added additional ban/hacking reasons to web & game
08. * Added option under panel settings to disable popup on log and use link
09. * Added option to change notify settings for protest/submission emails
10. * Added ability to disable/enable mods, so they don't show in the dropdown
11. * Added ability for admins to comment on bans.
12. * Added theme names to themes page
13. * Added re-ban button
14. * Added clear cache button
15. * Added e-mail verifying
16. * Added ability to hide expired/deleted bans from the banlist
17. * Added additional information in notification e-mails
18. * Added ability to set if admins can unban their own bans
19. * Added database debug mode in settings page
20. * Added search engine for logs
21. * Added database updater.
22. * Added code for sm_addban
23. * Added IP checking to plugin (Useful for banning cafe accounts)
24. ! Fixed sm_unban not parsing steam id correctly
25. ! Fixed install requirements page being broken in FF3
26. ! Fixed wrong confirm string on ban protest deletion.
27. ! Basebans plugin is now moved to disabled folder, as it causes problems.
28. ! Fixed unknown group showing when admin is no in a group
29. ! Fixed admins not always being removed from admins.cfg
30. ! Fixed last page sometimes being missed out of the listbox for fast page switching
31. ! Fixed the plugin sometimes only loading one admin, and one group.
32. ! Fixed STATUS_PARSE not always working
33. ! Fixed Issue with searchText on steamid showing up multiple un-matching players when steamid begins like another. 
34. ! Fixed query escapes when player has quotes in their name.
35. ! Fixed smarty debug mode causeing script error with popup blocker.
36. ! Fixed daylight savings
37. ! Fixed clicking Ban Management on web permissions not checking all items in Ban Management Group
38. ! Fixed install when no config file is found and directory is writeable
39. ! Fixed not saving changes to Mod in edit mode
40. ! Fixed not always returning the right Steam Community ID
41. ! Fixed community ID sometimes being wrong
42. ! Fixed UTF playernames being b0rked.
43. ! Fixed player names not always escaping on ban/server pages
44. ! Fixed broken link on protest page
45. ! Fixed bug with last version where ban reason was always 'undefined'
46. ! Fixed some problems with ban status on ban page
47. ! Fixed plugin errors caused by SetPackPosition problems
48. ! Fixed KickClient errors in plugin
49. ! Fixed bug with debug mode, in the installer
50. ! Fixed some permission problems with unbanning/deleting bans
51. ! Fixed ban not being removed from banlog when the ban is deleted.
52. ! Changed the error reporting level to stop blank page's showing. (Error will now be displayed)
53. + Improved installer stability, and removed some un-nessaccary files
54. + Dialog window is now moveable

(19/07/08): Version 1.2.0
-----------------------
01. ! The demo is now deleted if the ban it removed. (Thx Peace-Maker)
02. + Admins can't edit details of admins with ADMIN_OWNER flag, even if they got ADMIN_OWNER, but they can edit themselves (Thx Peace-Maker)
03. + You can now link back to the ban from the protest screen. (Thx Peace-Maker)
04. * Added search to show admins bans where the demo is missing. (Thx Peace-Maker)
05. ! Fixed VAC/OS icons in some directory structures
06. ! Fixed some problems with installer SQL data
07. ! Fixed AJAX callback error when adding bans via web-panel
08. ! Fixed permanent bans not being removed from the originating server
09. ! Fixed wrong ban counts on dashboard on banlist
10. * Paginated admin list
11. ! Fixed being unable to ban people who were banned in the past
12. ! Fixed potential security problem
13. ! Fixed problem with time strings showing incorrect time
14. ! Fixed protest count being wrong when a protest was deleted before
15. ! Fixed submission or protest notify emails for admins being wrongly formatted
16. ! Fixed player names not properly being escaped on servers page
17. ! Fixed not being able to change password on your account page, if current password was wrong
18. ! Fixed page reverting back to the first ban after editing or deleting a ban
19. ! Fixed group permissions not working
20. ! Fixed warning.png and ship.gif images
21. ! Added logging of ban deleting
22. ! Added whitespace removal in search text
23. * Added IP search box on ban list page
24. * Added admin search on admin list page
25. * Added dropdown box for quick page switching
26. * Added banned/unbanned status on dashboard page
27. * Added total demo size on admin page
28. * Added ability to change server password and emailaddress on your account page
29. ! Fixed wrong mod id being passed when submitting a ban
30. * Added TF2 map images
31. * Added SourceForts map images
32. * Added steam community links
33. + Updated admin searches to be alphabetical

(09/06/08): Version 1.1.1c
-----------------------------
This is a maintenance release, and contains no new features.
01. ! OS icons have the wrong path on installs that aren't the webroot
02. ! OS icons sometimes are blank for servers that use a different rcon protocol
03. ! Installer now sucessfully completes with modifying the SQL structure file by hand
04. ! Various fixes in the installer on how it operates
05. ! Fixed the plugin so that perminate bans are not added as perm bans to the local host. They are added as 5 minute temporary bans like the rest.

(28/05/08): Version 1.1.1b
-----------------------------
01. ! Fixed bug in yesterdays update where only root admin could edit perms
02. ! Fixed inconsistant ban counts
03. ! Fixed only root admins being able to change admin details

(27/05/08): Version 1.1.1
-----------------------------
01. ! Fixed blank page on admin page on new installs
02. + Added a check so only root admins, can set root admin (thx lomax)

(25/05/08): Version 1.1.0
-----------------------------
01. + HUGE! performance boost on banlist page
02. ? Updated Smarty and ADODB (PHP5 only!)
03. ! Fixed expired bans saying 'unbanned'
04. ! Fixed unnecisarry checks for country flags against the csv when it was in the db
05. ! Fixed unban/delban buttons showing on bans that had already expired
06. * Added icons for VAC and OS to the serverlist
07. ! Added ID column to the admin serverlist. This will be used with the plugin if you have the
      'unknown sid' problem.
08. ! Fixed SourceMod error when trying to ban bots
09. ! Fixed some bans showing 3 times on the banlist
10. ! Fixed 'sid cannot be null' error in plugin! (FINALLY)
11. ! Fixed version number not showing in `sb plugins list`
12. ! Fixed problem with plugin where it would not show the mySQL error
13. ! Fixed group immunity not being inherited by admins

(svn - nodate): Version 1.0.0 RC2
-----------------------------
01. ! Fixed login button
02. ! Added in various undefined variable fixes
03. ! Fixed admins adding with invalid passwords
04. ! Fixed problem with admin server access
05. ! Fixed some pages using the old user system
06. ! Fixed some undefined vars in homepage and servers page
07. + Added an install-time check for prefixes longer than 9 chars
08. ! fixed cookie check
09. ! Fixed problem quotes round steam id with a new ban
10. ! Fixed some problems with the new buttons not working
12. + Changed a lot of SQL queries to use ADODB escaping
13. * Added developer mode that bypasses install dir check and shows all errors
14. ! Fixed inconsistencies in the banlists date display (Format is now: m-d-y)
15. * Fixed all the notices within the banlist page
16. + Optimized the banlist page, and removed a few security issues from it as well
17. + The banlist display now queries servers as it finds them, rather then querying all servers
18. ! Fixed the menu in 'your account' page
19. ! fixed some undefinded vars and small bugs in your account
20. ! Changed "databases.txt" to "databases.cfg" in stage 5 of installer
21. + added footer debug define check
22. ! fixed CServerInfo notices (skips player on invalid data from proxy)
23. ! fixed the PrintArray() on the server overview page, fixed the admin server groups page
24. ! Fixed logging in (undefined indexes)
25. ! Fixed banlist search
26. ! Fixed banlist search again
27. ! Fixed a problem lost password
28. ! Fixed problem with errors on creating a log entry when the user is a guest
29. + Improvements to the admin server permissions. If no servers or groups are added, a message 
      tell you to add servers
30. ! Fixed admin password always being set in server
31. ! fixed an undefined index on page.banlist <devnull, is the query getting the right row_type?>
32. + refactored CUserManager sql interface, added aid index
33. ! fixed misc protest submit bugs (see prev. entry)
34. ! various installer index fixes
35. ! Fixed 'Warning: fsockopen() [function.fsockopen]: unable to connect to udp://:0 (Failed to 
      parse address "")' showing on some bans
36. ! Fixed server config link being shown to everyone 
37. * Added a warning on viewing the server config for locahost, as it may need changing unless its 
      same box as gameserver
38. * Server querying will now be performed on YOUR server (pre RC1d) unless there is a problem, ie 
      blocked portes etc. In which case we will use the query proxy (RC1d)
39. * Version info now includes SVN revision stuff (Only if you are using an SVN version)
40. + Updated the version checker to use ajax to speed admin page up
41. * Updated version checker to display new SVN revisions if they are available
42. ! Fixed major sourcebans serverside handle leak
43. ! fixed a little wtf in the admin server edit page
44. * added safe mode check in install init to prevent safe mode errors
45. ! Fixed the " " around commands in rcon.
46. ! Minor init fixes for undefined indexes
47. ! minor plugin changes, no new plugin compiled
48. * Applied sparky's bug report
49. ! Fixes FS#181, misc banlist changes
50. ! Fixed logout, fixed minor admingroup edit issue
51. ! Fixed some undefs in css.php
52. ! Fixed problem with quotes and slashes showing on dashboard text
53. - Removed the CUser class, as it is depricated
54. ! Fixed country flags not showing on some Linux webservers
55. ! Fixed problem when editing server groups removing all group links
56. ! Fixed big problems with admin version of banlist not showing controls for anyone :(
57. ! Fixed lots of small bugs with the banlist
58. ! Fixed major lag bug where any person still banned would have their country queried ALWAYS
59. ! Fixed unbanning problem where 'RemovedBy' was missing from the query
60. + Added some extra error checking in the unban/delban code
61. * Removed the banlist from the admin panel, and added all admin controls and search box onto 
      the main banlist. All associated code removed.
62. ! Fixed some small problems with the advanced search not working
63. + Changed some folder names to allow for templating stuff
64. * Converted all pages to now be smarty templates. Now php and html are totally seperated
65. * Added a themes page inside the sb settings page to choose the theme for the website
66. ! Fixed some problems with the server data proxy returning blank data
67. ! Hopefully fixed the 'Error Connecting...' message on servers
68. ! Fixed lots of JS problems in Internet Explorer
69. ! Fixed problem with the emailer not sending emails
70. ! Fixed problem when submitting a ban protest saying user is already banned
71. + Improved UTF-8 support for banned player names
72. * The Clear Logs button in the system logs page works now :D
73. + Used AJAX more to insert server hostnames, helps speed up page loads
74. + Added a session cache for server hostnames, speeds up page, and doesnt spam gameserver (Thanks
      to cwm9 for the idea)
75. ! Fixed problems with 'Possible hacking attempt (URL Key mismatch)'
76. + Improved code for dialog messages, also improved the look
77. + Dialog messages are now more flexable, and can be any size
78. ! Fixed some problems with unban/delete ban if your not root admin
79. * Added SourceBans ban menu to SourceMod admin menu
80. + Improved the active tab image to have better Anti-Aliasing
81. * Changed 'previous bans' to Total Bans to reflect new ban limit feature
82. * Added new feature: Ban Limit - If player gets banned [banlimit] times - they will get a 
      permanent ban
83. ! Fixed problem with non-defined functions when uploading demo, or icons
84. ! Fixed demo review button pointing to IP instead of banid sometimes
85. + Changed the main logo to a transparent PNG for better theme support
86. + Improved 'mouseover' code for clickable table rows to use classes instead of hardcoded
      colour values
87. ! Removed some code that would force default sourcebans colours, even when css changed
88. * Added a new theme 'sourcebans dark' only created to show example of themeing stuff
89. ! Fixed servers page header, and dashboard header using different classes to other headers
90. + Improved system log backtrace to help with debugging
91. + Improved the invalid XMLResponse message to use new dialog windows, and use html formatting
      to make it easier to read the error message.
92. * Player list on servers page now orders the players by Kills in descending order
93. ! Fixed player data being WAY off on the server page, it now shows correct score
      and playing time. /me slaps devicenull
94. * Added a new option in sourcebans.cfg for the server plugin to stop servers being added 
      to sourcebans automatically. If this is enabled, you MUST specify an IP:Port in the config
95. ! Fixed screenshots not being displayed in non relative paths
96. ! Fixed edit details button not linking to correct page
97. * Added IP to edit fields for a ban, also resets the country flag to requery country
98. ! Fixed log type images not showing for non relative paths
99. ! Fixed Bans not being added because of 'country' not having default value
100. ! Fixed the ban from menu option
101. ! Fixed lots of other server plugin problems
102. ! Fixed Ban protests not getting removed if the person is already unbanned
103. * Added new config option to specify if you want the plugin to re-write the admins.cfg, and admin_groups.cfg files
104. * Added new config option to specify if admins are handled with this plugin.
105. !Fixed lots of problems with installer
106. -Removed adodb library from install folder, uses the main adodb folder now
107. -Removed tinymce from install folder, no idea why this was here
108. *Added check for /themes_c to be writable
109. *Added check for /icons to be writable
110. *Added check for input on page 5 (setup)
111. !Fixed player list not showing up in IE (pages load slower, so IE has ruined it for all of us >:/) - http://www.getfirefox.com ;)
112. !Fixed a problem when getting data from the Proxy
113. !The Proxy server for hostnames, and player info is ONLINE!
114. *Added new native (SBBanPlayer) for external plugins to ban through SourceBans
115. !Fixed SQL query being shown in console, and logged when sm_rehash was run
116. !Fixed bug that would cause admins.cfg files to become corrupt, and no admins would be loaded
117. !Fixed bug that would always try and add a blank admin (Admin  () has 0 immunity)
118. !Fixed plugin trying to add admins to a blank group (Unknown group "")
Number's 119 - 135 With thanks to Berni for sumbitting a patch containing the fixes
119. !Hopefully fixed the bans getting added 3 times when the plugin prunes the bans
120. !Fixed server's added by domain names not resolving as they should
121. !Fixed unban and delban being swapped in some places
122. !Fixed problem with retrieving admin flags
123. *Added date format stuff to admin panel, and bans
124. !Fixed admins changing their own details in the admin panel, users need to use the changepass thing in Your account to change password
125. !Fixed some problems with permission checkboxes in the admin panel
126. !Fixed some formatting problems with the ban details on the banlist
127. !Fixed ban length problem on banlist
128. +Exact time used so more specific than just date
129. -Removed ban/edit ban for unbanned players, as this just causes an error
130. *Added EU flag
131. +Missing flags are now always replaced with the 'unknown country' flag
132. !Ban length is correctly default-selected when editing a ban
133. ?The STEAMID is no longer required on the submit ban, admins can go by name too
134. !Fixed bug where admin passwords dont get changed in the DB
135. !Fixed the default port ALWAYS showing when editing a server, even if the server uses a different port
136. !Fixed problem where some log messages from the plugin wouldn't get put in the sourcemod logs, or sourcebans.log
137. *Added a timezone setting in the settings page, this will default all of the times displayed to the setting.
138. !Fixed ban submissions showing up as protests in emails
Numbers 139 - 157 were fixed/added by Peace-Maker
139. !Fixed settings page not refreshing after being updated
140. !Fixed installer not creating a config file
141. !Fixed demo links not being shown to public
142. *Added a search for IP
143. !Fixed ban protests showing wrong number
144. !Fixed ban protests not being deleted from db
145. !Fixed links sent to e-mails not being right
146. !Fixed links in system log linking to themes page
147. !Fixed being able to add a submission while already banned
148. *Added function to download all perma bans to a config file
149. +Added some extra logging to the syslog (ban length change, and unbanning)
150. +Send an email to the sumbitter of submission or protest when the ban is added or denied
151. !Fixed any admin being able to change settings of any admin
152. !Fixed some passwords not getting compared
153. *Added last visited field to admin list
154. *Added ban count to admin list
155. !Fixed problems with hacking menu in plugin
156. !Fixed submit button not showing if you only have one server
157. !Fixed 30min bans showing as 1hr

1.0.0 RC1d 20.sept.2007 - 20:40
--------------------------------
* Huge overhaul of the user system, pages should load much faster & less bugs?
* Fixed all groups on admin page saying 'No Group/Individual Permissions'
* Fixed lots of problems when register_globals was on. It now doesnt matter if 
  its on or not
* Removed the .htaccess from the package as it caused problems on some setups
* Fixed lots of sql injection stuff (thx WhiteWlf)
* SQL Change: removed *_srvadmins as lots of the data is duplicated in *_admins
  NOTE: you must run rc1c-rc1d_update.php or you will have LOTS of problems
* Fixed SQL errors not showing or logging in last version
* Added a more 'button' like look to submenu items in admin panel
* Fixed lots of logic problems when adding admins
* Fixed problem with password not being set in server admin
* Improved some of the error logging, and messages.
* Updated the server plugin to work with new SQL structure
* Fixed the server plugin version not being a public cvar
* Fixed admin side buttons not working properly when some options are disabled
* Fixed some links in emails being incorrect
* Fixed a few more problems with server incompatability
* Fixed admins with quotes showing '\' in the name
* Fixed incorrect admin count because of hidden system user
* Fixed problems with adding some admins
  Note: People using SVN versions need to run rc1c-rc1d_update.php again
* Fixed lots of code shown on ban protest and submissions pages on some setups
* Fixed broken links in admin panel sub-menu
* Fixed not allowing a second ban quickly after a ban expires (plugin and web)
* Added better logic for if queries were successfull or not
* Fixed problems with display after some items were deleted from the db
* Fixed unban and delete ban permissions being reversed
* Started implimenting a UI class to handle the UI elements easier
* Fixed problem with some hosts blocking ports needed to query server data.
  This has been fixed by using sourcebans.net to act as a sort of proxy
* Player data isnt called on the server list unless you click the server row
  to open up the players list
* Some other stuff to speed up the server display
* Added French plugin translation (thanks to exa)
* truncated names on dashboard which could mis-shape the layout
* Fixed truncation on blocked players being too short
* Fixed problem with web settings not being updated properly
* Log info is now more helpful on sql problems
* Fixed some security problems in settings page

1.0.0 RC1c 19.sept.2007 - 20:40
--------------------------------
* Fixed admin to seeming not be added when you dont choose from the dropdown
* Added a 'no permissions' selection when adding an admin
* Fixed not needing a DB password in installer
* Fixed an incorrect message in the installer
* Added a message box to show if there are errors adding an admin, so you dont
  need to scroll all the way up
* Fixed submit ban now allowing zip files (thx Elbandi)
* Fixed adding a demo to existing ban allowing any filetypes
* Fixed 'No Group' showing for server admins
* Fixed strange stuff happening when adding a new group
* Fixed immunity not being set right on editing groups and admins
* Fixed server groups not getting added into the db
* Fixed tabs not changing color in the header
* Fixed RCON outputting to one line from linux servers
* Fixed SQL error when adding a log entry with no SQL query
* Fixed send button not enabling again after typing 'clr'
* Added a link on the list servers page to show the databases.cfg you need
  to upload to the gameserver.
* Removed 'Config' link from server page as plugin hasnt required this cfg 
  for a long time.
* Fixed trying to get a server query for a server that doesnt exist
* Fixed `WriteLogEntries()' ?>` being show in the footer in some setups
* Fixed flags not showing on the main ban table
* Fixed some country's flag being blank on linux servers
* Flags now show on admin banlist
* Fixed lots of other flag related bugs
* Fixed banlist layout problems in Opera
* Added a blank flag for if the IP isnt in the database
* Forgot to upload the country database
* Fixed some spelling mistakes (lOL)

1.0.0 RC1b 19.sept.2007 - 02:25
--------------------------------
* Fixed notice errors messing up the website
* Fixed installer using sweedish latin instead of UTF8
* Fixed problem in VERSION define
* Fixed missing footer when you dont have permission to get into the admin panel

1.0.0 RC1a 18.sept.2007 - 20:51
--------------------------------
* Fixed Step 5 of installer showing white page
* Fixed problems with IIS servers
* Fixed not to require MySQL 5
* Fixed not to require magic quotes GPC
* Default admin now has full server admin as default
* Fixed some mysql servers showing error when adding admins to database
* Fixed a syntax error in the databases.cfg code
